## org.h2.samples
Class TriggerSample

    java.lang.Object
      org.h2.samples.TriggerSample

    public class TriggerSample

extends java.lang.Object

This sample application shows how to use database triggers.

Nested Class Summary
`static class` `TriggerSample.MyTrigger` This class is a simple trigger implementation.

Constructor Summary
`TriggerSample()`

Method Summary
`static void` `main(java.lang.String... args)` This method is called when executing this sample application from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerSample

    public TriggerSample()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this sample application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`